Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Data Structures | Macros | Functions | Variables
h5dump.h File Reference
`#include "hdf5.h"`
`#include "H5private.h"`
`#include "h5tools.h"`
`#include "h5tools_utils.h"`
`#include "h5tools_ref.h"`
`#include "h5trav.h"`
`#include "h5dump_defines.h"`

## Data Structures
struct | dump_functions
struct | dump_opt_t
struct | h5dump_table_items_t
struct | h5dump_table_list_t

## Macros
#define | PACKED_BITS_MAX 8 /* Maximum number of packed-bits to display */
#define | PACKED_BITS_SIZE_MAX (8 * sizeof(long long)) /* Maximum bits size of integer types of packed-bits */

## Functions
void | add_prefix (char **prfx, size_t *prfx_len, const char *name)
hid_t | h5_fileaccess (void)
ssize_t | table_list_add (hid_t oid, unsigned long file_no)
ssize_t | table_list_visited (unsigned long file_no)

## Variables
const char * | complex_format = NULL
table_t * | dset_table = NULL
const dump_functions * | dump_function_table
unsigned | dump_indent = 0
dump_opt_t | dump_opts
const char * | fp_format = NULL
const char * | fp_lformat = NULL
table_t * | group_table = NULL
bool | hit_elink = false
unsigned | packed_length [8]
unsigned long long | packed_mask [8]
unsigned | packed_offset [8]
char * | prefix = NULL
size_t | prefix_len = 1024
h5dump_table_list_t | table_list = {0, 0, NULL}
table_t * | type_table = NULL
int | unamedtype = 0

## Macro Definition Documentation

## ◆ PACKED_BITS_MAX

#define PACKED_BITS_MAX 8 /* Maximum number of packed-bits to display */

## ◆ PACKED_BITS_SIZE_MAX

#define PACKED_BITS_SIZE_MAX (8 * sizeof(long long)) /* Maximum bits size of integer types of packed-bits */

## Function Documentation

## ◆ add_prefix()

void add_prefix | ( | char ** | prfx,
|  | size_t * | prfx_len,
|  | const char * | name )

## ◆ h5_fileaccess()

hid_t h5_fileaccess | ( | void |  | ) |

## ◆ table_list_add()

ssize_t table_list_add | ( | hid_t | oid,
|  | unsigned long | file_no )

## ◆ table_list_visited()

ssize_t table_list_visited | ( | unsigned long | file_no | ) |

## Variable Documentation

## ◆ complex_format

const char* complex_format = NULL

## ◆ dset_table

table_t * dset_table = NULL

## ◆ dump_function_table

const dump_functions* dump_function_table

## ◆ dump_indent

unsigned dump_indent = 0

## ◆ dump_opts

dump_opt_t dump_opts

Initial value:
= {true, false, true, true, false, false, false, false, false,
true, false, false, false, false, true, false, 0}

## ◆ fp_format

const char* fp_format = NULL

## ◆ fp_lformat

const char* fp_lformat = NULL

## ◆ group_table

table_t* group_table = NULL

## ◆ hit_elink

bool hit_elink = false

## ◆ packed_length

unsigned packed_length[8]

## ◆ packed_mask

unsigned long long packed_mask[8]

## ◆ packed_offset

unsigned packed_offset[8]

## ◆ prefix

char* prefix = NULL

## ◆ prefix_len

size_t prefix_len = 1024

## ◆ table_list

h5dump_table_list_t table_list = {0, 0, NULL}

## ◆ type_table

table_t * type_table = NULL

## ◆ unamedtype

int unamedtype = 0